AbstractEndpoint.BindState (Apache Tomcat 9.0.73 API Documentation)

Package org.apache.tomcat.util.net

## Enum AbstractEndpoint.BindState

- java.lang.Object
- - java.lang.Enum<AbstractEndpoint.BindState>
  - - org.apache.tomcat.util.net.AbstractEndpoint.BindState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AbstractEndpoint.BindState>`
  Enclosing class:
    AbstractEndpoint<S,​U>

      protected static enum AbstractEndpoint.BindState
      extends java.lang.Enum<AbstractEndpoint.BindState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOUND_ON_INIT` |
    `BOUND_ON_START` |
    `SOCKET_CLOSED_ON_STOP` |
    `UNBOUND` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isBound()` |
    `static AbstractEndpoint.BindState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AbstractEndpoint.BindState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.
    `boolean` | `wasBound()` |

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNBOUND

          public static final AbstractEndpoint.BindState UNBOUND

    - #### BOUND_ON_INIT

          public static final AbstractEndpoint.BindState BOUND_ON_INIT

    - #### BOUND_ON_START

          public static final AbstractEndpoint.BindState BOUND_ON_START

    - #### SOCKET_CLOSED_ON_STOP

          public static final AbstractEndpoint.BindState SOCKET_CLOSED_ON_STOP

  - ### Method Detail

    - #### values

          public static AbstractEndpoint.BindState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractEndpoint.BindState c : AbstractEndpoint.BindState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractEndpoint.BindState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isBound

          public boolean isBound()

    - #### wasBound

          public boolean wasBound()